<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('../partials/head'); %>
</head>

<body>
  <input id="data" type="hidden" data-data='<%=JSON.stringify(data)%>'>
  <div class="container">
    <%- include('../partials/navbar'); %>
    <div>
      <div class="intro-container display-none">
        <% 
        var intro_order = [1, 2, 3, 4, 5, 7, 8];
        for(var i = 1; i <= intro_order.length ; i++) {
          var intro = "intro"+ intro_order[i-1].toString();%>
        <div id=<%= 'intro' + (i).toString() %> class="intro display-none">
          <%- include('../partials/intro/'+intro); %>
        </div>
        <% } %>
      </div>
      <div class="help-bar display-none">
        <div class="help-bar-inner">
          <button id="helpButton" type="button" class="btn-helper ticket-edit display-none">
            <div id="helperText">hide helpers</div>
            <div class="material-icons help-icon">help</div>
          </button>
        </div>
      </div>
      <div class="ticket-container display-none">
        <div class="ticket ticket-main ticket-left">
          <div class="ticket-head">
            <%- include('../partials/icons/condition-icons'); %>
            <div class="ticket-brand">
              ticket designer
            </div>
          </div>
          <div class="ticket-content">
            <div id="conditionsHelper" data-type="conditions" class="ticket-edit helper category-helper display-none">
              <div class="ticket-edit box arrow-top display-none">
                Use the icons above to select a <strong>condition</strong> category
              </div>
            </div>
            <div id="conditionsContent" class="ticket-print ticket-content-row">
              <div class="ticket-field">
                <p class="ticket-print ticket-section-title">
                  Condition
                </p>
                <p class="ticket-print ticket-section-main" id="conditionText">
                  ...
                </p>
              </div>
            </div>
            <div id="conditionsContentEdit" class="ticket-content-row">
              <div class="ticket-field">
                <p class="ticket-edit ticket-section-title display-none">
                  <strong>Condition</strong><span id="conditionsCategoryLabel"></span>
                </p>
                <div class="ticket-edit" id="conditionsDescription"></div>
                <div class="ticket-edit display-none">
                  <div class="div-part">
                    <div id="conditionsSelectDiv">
                      <div class="helper template-helper">
                        Select a template from the dropdown below. <strong><u>Underlined text</u></strong>
                        represents random examples of
                        the parts you will be able to edit in the next step.
                      </div>
                      <div class="input-group mb-3">
                        <select class="form-select templateSelect" id="conditionsSelect"></select>
                      </div>
                    </div>
                    <div id="conditionsEdit">
                      <div class="helper template-helper">
                        Click any boxes in the template below to fill in the blanks, either by typing or by selecting
                        from
                        the dropdown list, if available. Click <strong>clear</strong> to select another template.
                      </div>
                      <div class="conditions-edit div-part-edit"></div>
                    </div>
                    <button id="conditionsClear" class="btn btn-light btn-clear display-none">clear</button>
                  </div>
                </div>
              </div>
            </div>
            <div class="ticket-field">
              <div id="conditionsContent" class="ticket-edit ticket-content-row">
                <div class="helper template-helper">
                  Choose what kind of event this ticket is for (or type your own).
                </div>
                <div class="event-edit">
                  <strong>Event: </strong>
                  <input type="text" placeholder="click to edit" class="event-part" id="eventList" list="events"
                    autocomplete="off">
                  <datalist id="events">
                    <option value="Music Event"></option>
                    <option value="Sport Event"></option>
                    <option value="Art Event"></option>
                    <option value="Theatre Event"></option>
                    <option value="Comedy Event"></option>
                    <option value="Dance/Club Event"></option>
                    <option value="Online Event"></option>
                    <option value="Attraction"></option>
                    <option value="Festival"></option>
                  </datalist>
                </div>
              </div>
            </div>
            <div class="ticket-print ticket-content-row">
              <div class="ticket-field ticket-print">
                <p class="ticket-section-title">
                  Event
                </p>
                <p class="ticket-section-main" id="eventText">
                </p>
              </div>
            </div>
          </div>
        </div>

        <div class="ticket ticket-main ticket-right">
          <div class="ticket-head">
            <%- include('../partials/icons/action-icons'); %>
          </div>
          <div class="ticket-content">
            <div id="actionsHelper" data-type="actions" class="ticket-edit helper category-helper display-none">
              <div class="ticket-edit box arrow-top display-none">
                Use the icons above to select an <strong>action</strong> category
              </div>
            </div>
            <div id="actionsContent" class="ticket-print ticket-content-row">
              <div class="ticket-field">
                <p class="ticket-print ticket-section-title">
                  Action
                </p>
                <p class="ticket-print ticket-section-main" id="actionText">
                  ...
                </p>
              </div>
            </div>
            <div id="actionsContentEdit" class="ticket-content-row">
              <div class="ticket-field">
                <p class="ticket-edit ticket-section-title display-none">
                  <strong>Action</strong><span id="actionsCategoryLabel"></span>
                </p>
                <div class="ticket-edit" id="actionsDescription"></div>
                <div class="ticket-edit display-none">
                  <div class="div-part">
                    <div id="actionsSelectDiv">
                      <div class="helper template-helper">
                        Select a template from the dropdown below. <strong><u>Underlined text</u></strong>
                        represents random examples of
                        the parts you will be able to edit in the next step.
                      </div>
                      <div class="input-group mb-3">
                        <select class="form-select templateSelect" id="actionsSelect"></select>
                      </div>
                    </div>
                    <div id="actionsEdit">
                      <div class="helper template-helper">
                        Click the boxes in the template below and fill in the blanks, or select an option from the
                        dropdown list, if available. Click <strong>clear</strong> to select another template.
                      </div>
                      <div class="actions-edit div-part-edit"></div>
                    </div>
                    <button id="actionsClear" class="btn btn-light btn-clear display-none">clear</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="button-helper">
        <div id="generateHelper" class="helper generate-helper display-none">
          Once you've completed your condition and action templates then click <strong>generate ticket</strong> below to
          generate your ticket.
        </div>
      </div>
      <div class="success-container display-none">
        <div id="successMessage" class="success">
          <h2 class="success-heading">Success!</h2>
          <p>Your ticket has been published and will now be publicly visible in the <a class="link-custom"
              href="/explore">ticket explorer</a>.
            <br><br>
            To view or delete your tickets go to <a class="link-custom" href="/account">My Account</a>.
            <br><br>
            To design another ticket, click below.
          </p>
        </div>
      </div>
      <div class="button-section">
        <button type="button" class="btn btn-light button-custom display-none" id="introButton">view intro</button>
        <button type="button" class="btn btn-light button-custom display-none" id="backButton">back</button>
        <button type="button" class="btn btn-light button-custom display-none" id="nextButton">next</button>
        <button type="button" class="btn btn-light button-custom display-none" id="editButton">edit</button>
        <button type="button" class="btn btn-light button-custom display-none" id="closeButton">close</button>
        <button type="button" class="btn btn-light button-custom display-none" id="generateButton">generate
          ticket</button>
        <button class="btn btn-light button-custom display-none" id="saveSpinner" type="button" disabled>
          <span class="spinner-border spinner-border-sm mt-3" role="status" aria-hidden="true"></span>
        </button>
        <button type="button" class="btn btn-light button-custom display-none" id="saveButton">publish</button>
        <button type="button" class="btn btn-light button-custom display-none" id="againButton">design another</button>
      </div>
      <div class="text-center">
        <button type="button" class="btn btn-light display-none" id="skipButton">skip intro</button>
      </div>
    </div>

    <!-- Modal -->
    <div class="modal" id="generateModal" tabindex="-1" aria-labelledby="generateModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-body">
            Please complete your chosen condition and action templates before generating a ticket.
            <br><br>
            Click the help icon <span class="material-icons">help</span> above the ticket for instructions.
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
        </div>
      </div>
    </div>

    <%- include('../partials/footer'); %>
  </div>
  <%- include('../partials/footscripts'); %>
  <script src="/javascripts/html2canvas.min.js"></script>
  <script src="/javascripts/script.js"></script>


</body>



</html>